<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Express.aspx.cs" Inherits="LMN.Web.Admin.Order.Express" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
<title></title>
<link href="../css/admin.css" rel="stylesheet" type="text/css" />
<link href="../Scripts/wbox/wbox.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="../Scripts/jquery-1.4.1.min.js"></script>
<script src="../Scripts/alert.js" type="text/javascript"></script>
<script src="../Scripts/wbox.js" type="text/javascript"></script>
</head>
<body>
<form id="form1" runat="server">
    <div style="padding: 20px;">
        <h4 class="title">快递管理 <a href="ExpressEdit.aspx">+<span>添加</span></a></h4>
        <div class="division">
            <table>
                <tr class="left">
                    <th class="chk"><input type="checkbox" class="sel" name="all" id="all" value="true" /></th>
                    <th class="w20">排序</th>
                    <th>名称</th>
                    <th>网址</th>
                </tr>
                <%--[id], [name], [website], [sort]--%>
                <asp:Repeater ID="Repeater1" runat="server">
                    <ItemTemplate>
                        <tr>
                            <td><input type="checkbox" id="id_<%#Eval("id") %>" name="id" value="<%#Eval("id") %>"></td>
                            <td><%#Eval("sort") %></td>
                            <td><a href="ExpressEdit.aspx?id=<%#Eval("id")%>" title="编辑"><%#Eval("name")%></a></td>
                            <td><%#Eval("website")%></td>
                        </tr>
                    </ItemTemplate>
                </asp:Repeater>
                <tr>
                    <td colspan="7"><input style="float: left;" type="button" id="dele" name="dele" value="批量删除" />
                        <div style="float: left; margin-left: 5px;">
                            <LMN:Pager ID="Pager1" runat="server" PageSize="20" CssClass="pager">
                            </LMN:Pager>
                        </div>
                    </td>
                </tr>
            </table>
        </div>
    </div>
</form>
<iframe id="iframe" name="iframe" src="about:blank" style="display: none;"></iframe>
<script type="text/javascript">
    $("#all").click(function() {
        var b = $(this).attr("checked");
        $("input[name=id]").each(function() {
            $(this).attr("checked", b);
        });
    });
    $("#dele").click(function() {
        if ($("input[name=id]:checked").length == 0) {
            showTips("请选择要删除的项！", 3);
            return false;
        }

        if (!confirm("确认删除选中的记录？"))
            return false;

        var ids = "";
        $("input[name=id]:checked").each(function() {
            ids += (ids == "" ? "" : ",") + $(this).val();
        });

        if (ids != "") {
            $.get("Action.aspx?action=Helpdelete&id=" + ids + "&" + new Date(), function(data) {
                if (data == "-1") {
                    alert("请选择要删除的记录！");
                } else if (data == "0") {
                    alert("删除失败，请重试！");
                } else {
                    alert("删除成功！");
                    location.reload();
                }
            });
        }
        return true;
    });
</script>
</body>
</html>
